commit:     4146e80b7fd150a9c810bcf9544ac3091c582c2b
Author:     Jeffrey Lin <jeffrey <AT> icurse <DOT> nl>
AuthorDate: Fri Jan  4 03:56:34 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct 21 14:32:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4146e80b

dev-libs/stp: new package

Closes: https://bugs.gentoo.org/522388
Package-Manager: Portage-2.3.53, Repoman-2.3.12
Signed-off-by: Jeffrey Lin <jeffrey <AT> icurse.nl>
Closes: https://github.com/gentoo/gentoo/pull/10735
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/stp/Manifest         |  1 +
 dev-libs/stp/metadata.xml     | 26 +++++++++++++++++++++++++
 dev-libs/stp/stp-2.3.3.ebuild | 44 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 71 insertions(+)

diff --git a/dev-libs/stp/Manifest b/dev-libs/stp/Manifest
new file mode 100644
index 00000000000..e41280980dc
--- /dev/null
+++ b/dev-libs/stp/Manifest
@@ -0,0 +1 @@
+DIST stp-2.3.3.tar.gz 2577550 BLAKE2B 
9ebedf3cb8e6b50d037cfacbc14826bd4e6505d29a53b1fcc6580749f0637fe5f96619c166babdb3a52b18fb6337e49c02f5693e233effe84d0131d0e7402381
 SHA512 
a0b1bf419d8230e40ce0aee90d9c8c9d814aca300831c24b3576c75623362942abf20673c419f9f0ea1e0505bfae000dc65fdd818179f5759879b0b255f1b99a

diff --git a/dev-libs/stp/metadata.xml b/dev-libs/stp/metadata.xml
new file mode 100644
index 00000000000..2b1417586ce
--- /dev/null
+++ b/dev-libs/stp/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Jeffrey Lin</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription lang="en">
+               STP is a constraint solver (or SMT solver) aimed at solving
+               constraints of bitvectors and arrays. These types of
+               constraints can be generated by program analysis tools, theorem
+               provers, automated bug finders, cryptographic attack tools,
+               intelligent fuzzers, model checkers, and by many other
+               applications.
+       </longdescription>
+       <upstream>
+               <remote-id type="github">stp/stp</remote-id>
+       </upstream>
+       <use>
+               <flag name="python">Enable building the Python interface</flag>
+       </use>
+</pkgmetadata>

diff --git a/dev-libs/stp/stp-2.3.3.ebuild b/dev-libs/stp/stp-2.3.3.ebuild
new file mode 100644
index 00000000000..b5f232edc1d
--- /dev/null
+++ b/dev-libs/stp/stp-2.3.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="Simple Theorem Prover, an efficient SMT solver for bitvectors"
+HOMEPAGE="https://stp.github.io/";
+SRC_URI="https://github.com/stp/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="python static test"
+
+DEPEND="
+       sci-mathematics/minisat
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       # replace static lib with $(get_libdir)
+       sed -i "s/set(LIBDIR lib/set(LIBDIR $(get_libdir)/" CMakeLists.txt || 
die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_ASSERTIONS="$(usex test)"
+               -DENABLE_TESTING="$(usex test)"
+               -DENABLE_PYTHON_INTERFACE="$(usex python)"
+               -DSTATICCOMPILE="$(usex static)"
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # don't install to /usr/man
+       doman "${D}/usr/man/man1/stp.1" || die
+       rm -r "${D}/usr/man" || die
+}

Reply via email to